require:
  - rubocop-performance
  - rubocop-rspec

AllCops:
  NewCops: enable

Metrics/LineLength:
  Max: 100

Metrics/BlockLength:
  IgnoredMethods: ['describe', 'context']

Metrics/MethodLength:
  Enabled: false

Metrics/AbcSize:
  Enabled: false

Metrics/CyclomaticComplexity:
  Enabled: false

Metrics/PerceivedComplexity:
  Enabled: false

Style/NumericLiterals:
  Enabled: false

Style/FrozenStringLiteralComment:
  Enabled: false

Style/NumericLiteralPrefix:
  Enabled: false

Style/Documentation:
  Enabled: false
